{
  "schema_version": "1.4.0",
  "id": "GHSA-6399-c226-99jr",
  "modified": "2025-04-09T04:01:16Z",
  "published": "2022-05-14T02:57:28Z",
  "aliases": [
    "CVE-2008-5317"
  ],
  "details": "Integer signedness error in the cmsAllocGamma function in src/cmsgamma.c in Little cms color engine (aka lcms) before 1.17 allows attackers to have an unknown impact via a file containing a certain \"number of entries\" value, which is interpreted improperly, leading to an allocation of insufficient memory.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-5317"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/47120"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10685"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/693-1"
    },
    {
      "type": "WEB",
      "url": "http://lcms.cvs.sourceforge.net/viewvc/lcms/lcms/src/cmsgamma.c?view=diff&r1=1.16&r2=1.17"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33066"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33219"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1684"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2008/11/28/3"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0011.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/32708"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-12-03T17:30:00Z"
  }
}